Subject: RE: [Sip] WGLC for draft-ietf-sip-privacy-general

From: "Peterson, Jon" <[email-masked]>
Date: Mon, 3 Jun 2002 11:17:24 -0500

I think Proxy-Require is overkill if it is only being used to manage your
connection to a server one hop away from you - though I get the point about
removing the Proxy-Require, potentially, once the privacy service has been
reached. Ultimately, there probably isn't any other way to provide an
assurance that a given intermediary instantiates the privacy service role.
Somewhat reluctantly (since I don't think this is an ideal use of
Proxy-Require), I agree we should include it in the privacy draft as an
optional failsafe for user agents.

As for whether or not a privacy service MUST be one hop away from the user
agent requesting privacy, we encourage it, but also offer ways to accomodate
a more distant privacy service (i.e. SIPS). I see no reason to levy any
absolute constraints on the proximity of the privacy service.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Friday, May 31, 2002 1:17 PM
> To: Bob Penfield
> Cc: Peterson, Jon; [email-masked]
> Subject: Re: [Sip] WGLC for draft-ietf-sip-privacy-general
> 
> 
> 
> 
> Bob Penfield wrote:
> > 
> 
> > > > How does the user know whether privacy services are 
> supported? Do
> > they
> > > > need to try it with Proxy-Require to see if the request fails?
> > > >
> > >
> > > The text above is meant to suggest that users should know 
> out-of-band
> > that
> > > their local administrative domain supports a privacy 
> service function.
> > 
> > I too am quite concerned about this. It seems adaquate to say the UA
> > "just
> > knows" when we're talking about a P-Header with limited 
> applicability,
> > but
> > not necessarily for a general purpose protocol mechanism.
> 
> Right.
> 
> > 
> > However, this mechanism would use a Require header, not a 
> Proxy-Require.
> > There are very few headers mentioned in this draft that RFC 
> 3261 allows
> > a
> > proxy to modify or delete. I assert that performing any 
> user, header or
> > session privacy functions in an intermediary turns the 
> privacy service
> > into
> > a B2BUA. If the UA is aware that is sending to a privacy 
> service then it
> > can
> > certainly be aware that it is sending to a B2BUA and 
> include the tag in
> > its
> > Require header.
> 
> Hmm. The problem is that you want get the desired effect if 
> there are no
> privacy services on the path, and you thought there were. Inserting a
> Require: privacy in teh request would get the request all the 
> way to the
> UAS, who then knows your identity, in addition to knowing that you
> wanted to be anonymous. Seems like the worst of all cases. 
> So, while in
> theory, you might be right, practically speaking this has to be
> proxy-require to work.
> 
> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
> Chief Scientist                         First Floor
> dynamicsoft                             East Hanover, NJ 07936
> [email-masked]                 FAX: (973) 952-5050
> http://www.jdrosen.net                  PH:  (973) 952-5000
> http://www.dynamicsoft.com
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip